UDEVD(8)

NAME
udevd - event managing daemon

SYNOPSIS

udevd [--daemon] [--debug-trace] [--verbose] [--help]

udevcontrol command

DESCRIPTION

udevd listens to kernel uevents and passes the incoming events to udev. It ensures the right event order and takes care, that events for child devices are delayed until the parent has finished the device handling.

OPTIONS

--daemon
    Detach and run in the background.

--debug-trace
    Run all events completely serialized. This may be useful if udev triggers actions or loads kernel modules which cause problems and a slow but continiuous operation is needed, where no events are processed in parallel.

--verbose
    Print log messages to stdout.

--help
    Print usage.

log_priority=value
    udevcontrol can dynamically set the log level of udevd. Valid values are the numerical syslog priorities or their textual representations: err, info and debug.

stop_exec_queue
    udevcontrol stops the execution of events from udevd.

start_exec_queue
    udevcontrol starts the execution of events from udevd.

ENVIRONMENT

UDEV_LOG
    Overrides the syslog priority specified in the config file.

AUTHOR

Written by Kay Sievers <kay.sievers@vrfy.org>.

SEE ALSO

udev(7)